Support Questions

Find answers, ask questions, and share your expertise

I have a problem when I am reviewing the cluster in the CLUSTER INSTALL WIZARD

Explorer

Hi everyone!

I am trying to create a cluster and in the "step 8 : Review" I get the next error when I click on the "Deploy -->" button:

"Upload Version Definition File Error"

"An internal system exception occurred: Base url http://public-repo-1.hortonworks.com/HDP/sles12/2.x/updates/2.5.0.0 is already defined for another repository version. Setting up base urls that contain the same versions of components will cause stack upgrade to fail."

What does it happen? What can I do to solve the problem?

Thank you so much!

1 ACCEPTED SOLUTION

Explorer

Finally I solved the problem following these steps:

First of all, I stopped the ambari-server service from the host where it is installed, and I proceed to reset it, using the command:

ambari-server stop

ambari-service reset

Then I cleaned the cache information of the web browser I was using to connect to the Ambari Installation Wizard.

After that, I restart the ambari-server and I tried to install the cluster again.

Thank you for your answers anyway!

View solution in original post

11 REPLIES 11

Contributor

You are using sles12 for installation of HDP-2.5 right or other ones.

Contributor

You might added multiple repositories in the Advanced repo section in 4.select stack section. There you have to add only the single repo for which you are going to install Ambari.

Explorer

Yesterday I started configuring the cluster on the OS versión "redhat6" and I git the step 8 of installation. But today, when I enter to the installation wizard, I get this problem... I don't know why is saying that I am using sles12...

Explorer

Finally I solved the problem following these steps:

First of all, I stopped the ambari-server service from the host where it is installed, and I proceed to reset it, using the command:

ambari-server stop

ambari-service reset

Then I cleaned the cache information of the web browser I was using to connect to the Ambari Installation Wizard.

After that, I restart the ambari-server and I tried to install the cluster again.

Thank you for your answers anyway!

Explorer

For me this worked out.

Contributor

@ pfctic2 pfctic2

can you go to /etc/yum.repos.d/ and list the configured repositories.

if possible cat the repository file and paste here

Explorer

I solve the problem. I had the repositories of Ambari, the Operating System and HDP and HDP-utils.

New Contributor

@pfctic2 pfctic2 how to solve this problem? urgett!!!

,

@pfctic2 pfctic2 how to solve this problem? urget!!!!

New Contributor

i have the same problem , it does not work this solution

New Contributor

remove the old ambari database. create now ambari database.

New Contributor

Hi All,

I am having this same issue and I have tried some of the recommendations above with negative results. I am trying to stand up an HDP 2.4 cluster on centos7. In my experience, I get passed all of the assigning of roles to my name and datanodes and hit deploy. Everything looks like it's going smoothly and then I get smacked with the "Upload Version Definition File Error". At this point things are stalled. I check to see if my ambari-server is still running and it isn't. I try to restart it and I get a postgres "exit code 3. REASON: Unable to start PostgreSQL server". I've tried to reset the server, dump the database, un/re-install ambari-server, and even select the other than default postgres during the setup with same result. Can anyone help? Thanks.

Take a Tour of the Community
Don't have an account?
Your experience may be limited. Sign in to explore more.